{% extends 'shared/homeLayout.twig' %}
{% block title %}GBIN - View{% endblock %}
{% block content %}

<style>
html{
    margin-top: 0;
}

body{
    margin-top: 0;
    padding-top: 0;
}

pre[class*="language-"]{
    margin-top: 0;
    padding-top: 0;
}

</style>

    <div style="position: absolute; top: 20px; right: 10px">
        <a href="/"><img src="https://i.imgur.com/lf8H8rK.png" style="width: 100px;">
        <img src="https://i.imgur.com/nuMcPm8.png" style="width: 100px; margin-left: -10px;"></a>
    </div>
    <div style="position: absolute; top: 70px; right: 28px">
        <a class="btn-floating btn-small waves-effect waves-light grey darken-4 tooltipped disabled purple-text"
             style="margin-right: 10px; disabled" data-position="grey darken-4" data-background-color="grey darken-4" data-tooltip="Save"><i class="material-icons">save</i></a>
        <a class="btn-floating btn-small waves-effect waves-light grey darken-4 tooltipped disabled" 
            style="margin-right: 10px;" data-position="botton" data-background-color="grey darken-4" data-tooltip="Edit"><i class="material-icons">create</i></a>
        <a class="btn-floating btn-small waves-effect waves-light grey darken-4 tooltipped" href="{{ path_for('rawCode', {id:""}) }}{{code[0].AccessId}} "
            style="margin-right: 10px;" data-position="botton" data-background-color="grey darken-4" data-tooltip="Raw"><i class="material-icons">insert_drive_file</i></a>
    </div>

    <pre><code>    
{{ code[0].Code }}
    </code></pre>
<script>
    $(document).ready(function(){
        $('.fixed-action-btn').floatingActionButton();

        $('.tooltipped').tooltip({delay: 50}).each(function () {
            let background = $(this).data('background-color');
            if (background) {
                $("#" + $(this).data('tooltip-id')).find(".backdrop").addClass(background);
            }
        });
        $('#textArea').val('');
    });
</script>
{% endblock %}